<!DOCTYPE html>
<html lang="en">

<head>
  
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title> Board</title>

  <script src="https://cdn.jsdelivr.net/gh/google/code-prettify@master/loader/run_prettify.js"></script>
  <script src="https://unpkg.com/@babel/standalone/babel.min.js"></script>
  <script src="./build/entry.js"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <!--[if lt IE 9]>
    <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
  <![endif]-->
  <link href="https://fonts.googleapis.com/css?family=Roboto:100,400,700|Inconsolata,700" rel="stylesheet">
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css" integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">
  <link type="text/css" rel="stylesheet" href="https://jmblog.github.io/color-themes-for-google-code-prettify/themes/tomorrow-night.min.css">
  <link type="text/css" rel="stylesheet" href="styles/app.min.css">
  <link type="text/css" rel="stylesheet" href="styles/iframe.css">
  <link type="text/css" rel="stylesheet" href="">
  <script async defer src="https://buttons.github.io/buttons.js"></script>

  
</head>



<body class="layout small-header">
    <div id="stickyNavbarOverlay"></div>
    

<div class="top-nav">
    <div class="inner">
        <a id="hamburger" role="button" class="navbar-burger" aria-label="menu" aria-expanded="false">
            <span aria-hidden="true"></span>
            <span aria-hidden="true"></span>
            <span aria-hidden="true"></span>
        </a>
        <div class="logo">
            
            
        </div>
        <div class="menu">
            
            <div class="navigation">
                <a
                    href="index.html"
                    class="link"
                >
                    API Documentation
                </a>
                
                
                
            </div>
        </div>
    </div>
</div>
    <div id="main">
        <div
            class="sidebar "
            id="sidebarNav"
        >
            
            <nav>
                
                    <h2><a href="index.html">Documentation</a></h2><div class="category"><h3>Classes</h3><ul><li><a href="Board.html">Board</a></li><li><a href="Task.html">Task</a></li></ul><h3>Global</h3><ul><li><a href="global.html#status">status</a></li></ul></div>
                
            </nav>
        </div>
        <div class="core" id="main-content-wrapper">
            <div class="content">
                <header class="page-title">
                    <p>Class</p>
                    <h1>Board</h1>
                </header>
                




<section>

<header>
    
        <h2><span class="attribs"><span class="type-signature"></span></span>Board<span class="signature">()</span><span class="type-signature"></span></h2>
        
            <div class="class-description">The Board class holds tasks</div>
        
    
</header>

<article>
    <div class="container-overview">
    
        
            <div class='vertical-section'>
                <div class="members">
                    <div class="member">
                        <div class=name>
                            <span class="tag">Constructor</span>
                        </div>
                        


    
    <h4 class="name" id="Board">
        <a class="href-link" href="#Board">#</a>
        
        <span class="code-name">
            
                new Board<span class="signature">()</span><span class="type-signature"></span>
            
        </span>
    </h4>
    

    
    
    <div class="description">
        Creates an instance of the Board class.
    </div>
    













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    
    

    

    

    
        <p class="tag-source">
            <a href="models_board.model.js.html" class="button">View Source</a>
            <span>
                <a href="models_board.model.js.html">models/board.model.js</a>, <a href="models_board.model.js.html#line11">line 11</a>
            </span>
        </p>
    
</dl>






















                    </div>
                </div>
            </div>
        
    
    </div>
    
    

    

    
        <h3 class="subsection-title">Classes</h3>

        <dl>
            <dt><a href="Board.html">Board</a></dt>
            <dd></dd>
        </dl>
    

    

    

    

    
        <div class='vertical-section'>
            <h1>Members</h1>
            <div class="members">
            
                <div class="member">

<h4 class="name" id="taskCount">
    <a class="href-link" href="#taskCount">#</a>
    
    <span class="code-name">
        taskCount
    </span>
    
</h4>




<div class="description">
    Gets the number of tasks on the board.
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    
    

    

    

    
        <p class="tag-source">
            <a href="models_board.model.js.html" class="button">View Source</a>
            <span>
                <a href="models_board.model.js.html">models/board.model.js</a>, <a href="models_board.model.js.html#line28">line 28</a>
            </span>
        </p>
    
</dl>





</div>
            
                <div class="member">

<h4 class="name" id="tasks">
    <a class="href-link" href="#tasks">#</a>
    
    <span class="code-name">
        tasks
    </span>
    
</h4>




<div class="description">
    Gets an array of tasks on the board.
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    
    

    

    

    
        <p class="tag-source">
            <a href="models_board.model.js.html" class="button">View Source</a>
            <span>
                <a href="models_board.model.js.html">models/board.model.js</a>, <a href="models_board.model.js.html#line20">line 20</a>
            </span>
        </p>
    
</dl>





</div>
            
            </div>
        </div>
    

    
        <div class='vertical-section'>
            <h1>Methods</h1>
            <div class="members">
            
                <div class="member">


    
    <h4 class="name" id="add">
        <a class="href-link" href="#add">#</a>
        
        <span class="code-name">
            
                add<span class="signature">(task)</span><span class="type-signature"></span>
            
        </span>
    </h4>
    

    
    
    <div class="description">
        Adds a new task to the board.
    </div>
    









    <h5>Parameters:</h5>
    
<div class="table-container">
    <table class="params table">
        <thead>
        <tr>
            
            <th>Name</th>
            

            <th>Type</th>

            

            

            <th class="last">Description</th>
        </tr>
        </thead>

        <tbody>
        

            
<tr class="deep-level-0">
  
      <td class="name"><code>task</code></td>
  

  <td class="type">
  
      
<span class="param-type"><a href="Task.html">Task</a></span>


  
  </td>

  

  

  <td class="description last">The task to be added.</td>
</tr>


        
        </tbody>
    </table>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    
    

    

    

    
        <p class="tag-source">
            <a href="models_board.model.js.html" class="button">View Source</a>
            <span>
                <a href="models_board.model.js.html">models/board.model.js</a>, <a href="models_board.model.js.html#line37">line 37</a>
            </span>
        </p>
    
</dl>
















    <div class='columns method-parameter'>
        <div class="column is-2"><label>Throws:</label></div>
        <div class="column is-10">
            
                    
<div class="columns">
    
    <div class='param-desc column is-7'>If the argument is not an instance of the Task class or if the task is already in the board.</div>
    <div class='column is-5 has-text-left'>
        <label>Type: </label>
<span class="param-type">Error</span>


    </div>
    
</div>

                
        </div>
    </div>






</div>
            
                <div class="member">


    
    <h4 class="name" id="remove">
        <a class="href-link" href="#remove">#</a>
        
        <span class="code-name">
            
                remove<span class="signature">(task)</span><span class="type-signature"></span>
            
        </span>
    </h4>
    

    
    
    <div class="description">
        Removes a task from the board.
    </div>
    









    <h5>Parameters:</h5>
    
<div class="table-container">
    <table class="params table">
        <thead>
        <tr>
            
            <th>Name</th>
            

            <th>Type</th>

            

            

            <th class="last">Description</th>
        </tr>
        </thead>

        <tbody>
        

            
<tr class="deep-level-0">
  
      <td class="name"><code>task</code></td>
  

  <td class="type">
  
      
<span class="param-type"><a href="Task.html">Task</a></span>


  
  </td>

  

  

  <td class="description last">The task to be removed.</td>
</tr>


        
        </tbody>
    </table>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    
    

    

    

    
        <p class="tag-source">
            <a href="models_board.model.js.html" class="button">View Source</a>
            <span>
                <a href="models_board.model.js.html">models/board.model.js</a>, <a href="models_board.model.js.html#line54">line 54</a>
            </span>
        </p>
    
</dl>
















    <div class='columns method-parameter'>
        <div class="column is-2"><label>Throws:</label></div>
        <div class="column is-10">
            
                    
<div class="columns">
    
    <div class='param-desc column is-7'>If the task does not exist in the board.</div>
    <div class='column is-5 has-text-left'>
        <label>Type: </label>
<span class="param-type">Error</span>


    </div>
    
</div>

                
        </div>
    </div>






</div>
            
                <div class="member">


    
    <h4 class="name" id="toString">
        <a class="href-link" href="#toString">#</a>
        
        <span class="code-name">
            
                toString<span class="signature">()</span><span class="type-signature"> &rarr; {string}</span>
            
        </span>
    </h4>
    

    
    
    <div class="description">
        Transforms the board data into a formatted string.
    </div>
    













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    
    

    

    

    
        <p class="tag-source">
            <a href="models_board.model.js.html" class="button">View Source</a>
            <span>
                <a href="models_board.model.js.html">models/board.model.js</a>, <a href="models_board.model.js.html#line69">line 69</a>
            </span>
        </p>
    
</dl>


















    <div class='columns method-parameter'>
        <div class="column is-2"><label>Returns:</label></div>
        <div class="column is-10">
            
                    

<div class="columns">
    
    <div class='param-desc column is-7'>A formatted string representing the board data.</div>
    
    
    <div class='column is-5 has-text-left'>
        <label>Type: </label>
        
<span class="param-type">string</span>


    </div>
    
</div>

                
        </div>
    </div>




</div>
            
            </div>
        </div>
    

    

    
</article>

</section>




            </div>
            
            <footer class="footer">
                <div class="content has-text-centered">
                    <p>Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.6.4</a></p>
                    <p class="sidebar-created-by">
                        <a href="https://github.com/SoftwareBrothers/better-docs" target="_blank">BetterDocs theme</a> provided with <i class="fas fa-heart"></i> by 
                        <a href="http://softwarebrothers.co" target="_blank">SoftwareBrothers - JavaScript Development Agency</a>
                    </p>
                </div>
            </footer>
            
        </div>
        <div id="side-nav" class="side-nav">
        </div>
    </div>
<script src="scripts/app.min.js"></script>
<script>PR.prettyPrint();</script>
<script src="scripts/linenumber.js"> </script>

</body>
</html>